#!/bin/sh
. /usr/local/bin/sig_catcher

if [ -f /var/run/Carnegie ]; then
	# read offset 0x14 from prom
	regvals="`/usr/local/bin/i2c-test -b 5 -s 0xa0 -rc 4 -m 0 -d 14 | head -2 |tail -1`"

	if [ "$regvals" = "00 60 74 0c " ]; then
		echo "DDR PROM already programmed"
	else 
		echo "Auto programming DDR PROM"
		filename="`ls /firmware/Carnegie/ddr/306*|tail -1`"
		if [ -f $filename ]; then
			/usr/local/bin/program_ddr_autoload_eeprom.sh $filename
		fi
	fi

elif [ -f /var/run/Absolut ]; then
	# read offset 0x14 from prom
	regvals="`/usr/local/bin/i2c-test -b 5 -s 0xa0 -rc 4 -m 0 -d 0 14 | head -2 |tail -1`"

	if [ "$regvals" = "00 64 72 2c " ]; then
		echo "DDR PROM already programmed"
	else 
		echo "Auto programming DDR PROM"
		filename="`ls /firmware/Absolut/ddr/306*|tail -1`"
		if [ -f $filename ]; then
			/usr/local/bin/program_ddr_autoload_eeprom.sh $filename
		fi
	fi

else
	echo "DDR update is not supported in this platform"
fi

