#!/bin/sh


#
# Temporary file name
#
unique=$$
temp_file="/tmp/fw_vers_temp$unique"


#
# Firmware revision key used by the tuple
#
key_cntlr_agent="fw_rev_cntlr_agent"
key_cntlr_switch="fw_rev_cntlr_switch"
key_ioxm_agent="fw_rev_ioxm_agent"
key_ioxm_cpld="fw_rev_ioxm_cpld"
key_ioxm_switch="fw_rev_ioxm_switch"
key_fan="fw_rev_mpc_fan"

get_ethswitch_ver()
{
	#
	# controller switch
	#
	#echo "cat /var/run/switch_version_controller"
	temp_file2=$(/usr/local/bin/switch_config_version.sh 2>/dev/null)
	echo $temp_file2 | sed 's/ /-/g' > $temp_file
	read data1 < $temp_file
	echo "$key_cntlr_switch $data1"
}

#
# Main starts here
#

if [ -f "/var/run/Carnegie" ]
then

	#
	# controller switch
	#
	#echo "cat /var/run/switch_version_controller"
	sed 's/ *$//' < /var/run/switch_version_controller | sed 's/ /-/g' $temp_file2 > $temp_file
	read data1 < $temp_file
	echo "$key_cntlr_switch $data1"


	#
	# ioxm switch
	#
	#echo "cat /var/run/switch_version_ioxm"
	cat /var/run/switch_version_ioxm | sed 's/ *$//' | sed 's/ /-/g' > $temp_file
	read data1 < $temp_file
	echo "$key_ioxm_switch $data1"

	#
	# Fan version
	#
	for idx in 11 12 21 22 31 32
	do
		#echo "/usr/local/bin/fan_controller $idx version > $temp_file"
		/usr/local/bin/fan_controller $idx version > $temp_file
		if grep -q "response: 0xff" $temp_file
		then
			data2="FAN-is-not-present"
		else
			read data1 data2 < $temp_file
		fi
		echo "$key_fan$idx $data2"
	done
fi

if [ -f "/var/run/Absolut" ]
then
	#
	# controller switch
	#
	#echo "cat /var/run/switch_version_controller"
	sed 's/ *$//' < /var/run/switch_version_controller | sed 's/ /-/g' $temp_file2 > $temp_file
	read data1 < $temp_file
	echo "$key_cntlr_switch $data1"


	#
	# ioxm switch
	#
	#echo "cat /var/run/switch_version_ioxm"
	cat /var/run/switch_version_ioxm | sed 's/ *$//' | sed 's/ /-/g' > $temp_file
	read data1 < $temp_file
	echo "$key_ioxm_switch $data1"
	
	#
	# controller agent
	#
	#echo "cat /var/run/cntlr_agent_version"
	cat /var/run/cntlr_agent_version > $temp_file
	read data1 < $temp_file
	echo "$key_cntlr_agent $data1"

	#
	# ioxm agent
	#
	#echo "cat /var/run/ioxm_agent_version"
	if [ -f "/var/run/ioxm_agent_version" ]
	then
		cat /var/run/ioxm_agent_version > $temp_file
	else
		echo "IOXM-is-not-present" > $temp_file
	fi
	read data1 < $temp_file
	echo "$key_ioxm_agent $data1"

	#
	# ioxm cpld
	#
	#echo "cat /var/run/ioxm_cpld_version"
	if [ -f "/var/run/ioxm_cpld_version" ]
	then
		cat /var/run/ioxm_cpld_version > $temp_file
	else
		echo "IOXM-is-not-present" > $temp_file
	fi
	read data1 < $temp_file
	echo "$key_ioxm_cpld  $data1"
fi

#if [ -f "/var/run/Vespa" ]
if [ -f "/var/run/Vespa" ] || [ -f "/var/run/Helix" ] || [ -f "/var/run/Zuma" ]
then

	#
	# controller switch
	#
	#echo "cat /var/run/switch_version_controller"
	if grep -iq unknown /var/run/switch_version_controller ; then
		data1="unknown" 
	else
	 	sed 's/ *$//' < /var/run/switch_version_controller | sed 's/ /-/g' $temp_file2 > $temp_file
		read data1 < $temp_file
	fi
	echo "$key_cntlr_switch $data1"

	#
	# get cpld revisions in tuples format
	#
	/usr/local/bin/vespa_cpld_revisions.sh -t
fi

#if [ -f "/var/run/Helix" ] || [ -f "/var/run/Zuma" ]
#then
#
#	#
#	# controller switch
#	#
#	#echo "cat /var/run/switch_version_controller"
#	get_ethswitch_ver
#
#	#
#	# get cpld revisions in tuples format
#	#
#	/usr/local/bin/att_cpld_revisions.sh -t
#fi

rm -f $temp_file

