#!/bin/ash
#
# This script prints SEL log  log for engineering to debug a problem.

. /usr/local/bin/sig_catcher

# FRU(9) reading on carngie/absolue takes 15-20 secs, it completely
# slowdown ontap's log collecting process and might hold on
# thermal shutdown process if ontap force to get log before shutdown.
# So change to use cached FRU based on: (speed up about 15 secs).
# (1) Ontap is adding function to keep updated FRU info
# (2) frulog can tell fru change process.
# (3) FRU change is not a frequent event. In the future, SP can add
# function to update this file in the event of FRU removal and plug-in event.
#
# This file is initialized at fru_rescan.sh by netapp_final_initscript
#
fruinfocachedfile="/mnt/logs/ipmi/fruinfocachedfile.txt"

cat /tmp/splog_collect_timestamp
echo /usr/local/bin/ipmi sensors
echo ===============================
/usr/local/bin/ipmi sensors

# On vespa,  midplane FRU is not ready at netapp_final_initscript
# Do it here...
if [ -f /var/run/Vespa ] || [ -f /var/run/Helix ] || [ -f /var/run/Zuma ]; then
	grep "inventory data access failed" < $fruinfocachedfile
	if [ "$?" -eq 0 ] ||  ![ -f $fruinfocachedfile ] ; then
		/etc/init.d/fru_cache.sh
	fi
fi

if [ -f $fruinfocachedfile ]
then
	echo cat $fruinfocachedfile
	echo =====================
	cat $fruinfocachedfile 
fi
 
echo /usr/local/bin/frulogshow
echo ===============================
/usr/local/bin/frulogshow 3
 
exit 0
