#!/bin/sh

. /usr/local/bin/sig_catcher

usage() {
    echo "Usage:  sp switch-version <0=mb, 1=ioxm>"
    exit 1 
}

if [ $# -lt 1 ]; then
    usage
fi

target=$1

force_read=$2

if [ $target != 0 ] && [ $target != 1 ]; then
        usage
fi

if [ "$target" == "0" ] && [ "$force_read" != "-f" ]; then
	if [ -f /var/run/switch_version_controller ]; then
		cat /var/run/switch_version_controller
		exit 0
	fi
fi
if [ "$target" == "1" ] && [ "$force_read" != "-f" ]; then
	if [ -f /var/run/switch_version_ioxm ]; then
		cat /var/run/switch_version_ioxm
		exit 0
	fi
fi
	
case `cat /var/run/platform` in
    Carnegie)
    	if [ "$target" == "0" ]; then
			# disable marvell from accessing prom
			/usr/local/bin/mp_controller $target disable_marvell

			# print out version
			/usr/local/bin/mp_controller $target eeprom_version

			# enable marvell access
			/usr/local/bin/mp_controller $target enable_marvell
   		fi 
        if [ "$target" == "1" ]; then
			IOXM_PRSNT=`cat /var/run/partner`
    		if [ "$IOXM_PRSNT" == "IOXM" ]; then
				# disable marvell from accessing prom
				/usr/local/bin/mp_controller $target disable_marvell

				# print out version
				/usr/local/bin/mp_controller $target eeprom_version

				# enable marvell access
				/usr/local/bin/mp_controller $target enable_marvell
			else
				echo "IOXM is not present"
			fi
    	fi
	;;
    Absolut)
        if [ "$target" == "0" ]; then
                /usr/local/bin/switcheprm  "version"
				#Toggle the switch reset
				/usr/local/bin/gpiotool 26 --set-data-low
				/usr/local/bin/gpiotool 26 --set-data-high
				sleep 2
				#Burt 440800
				loopguard=5;
				while [ $(/usr/local/bin/switch read 0 0x12 0) != "7d80" ] && [ $loopguard -gt 0 ];
				do
					#Toggle the PHY reset to force a link negotiation.
					/usr/local/bin/gpiotool 1 11 --set-data-low
					/usr/local/bin/gpiotool 1 11 --set-data-high
										
					let loopguard--;
					sleep 2
				done

        fi
        if [ "$target" == "1" ]; then
                IOXM_PRSNT=`cat /var/run/partner`
                if [ "$IOXM_PRSNT" == "IOXM" ]; then
                	/usr/local/bin/switchioxm "version"
                else
                        echo "IOXM is not present"
                fi
        fi
    ;;
    Vespa)
        if [ "$target" == "0" ]; then
		/usr/local/bin/switcheprm version
	else
    		echo "Request not applicable on this platform"
        fi
    ;;
    Zuma|Helix)
        if [ "$target" == "0" ]; then
        	switch ep_version
	else
    		echo "Request not applicable on this platform"
        fi
    ;;
    *)
    echo "Command not supported on this platform"
    ;;
esac
