#!/bin/sh

. /usr/local/bin/sig_catcher

usage() {
	echo "Usage:  sp switch-update <0=mb, 1=ioxm>"
	exit 1
}


if [ $# -lt 1 ]; then
	usage
fi

target=$1

if [ $target != 0 ] && [ $target != 1 ]; then 
	usage
fi

if [ -f /var/run/Carnegie ]; then
	if [ "$target" == "0" ]; then
		echo "Programming Controller Switch EEPROM"
		/usr/local/bin/update_mp_contents.sh $target
	fi
	if [ "$target" == "1" ]; then
		IOXM_PRSNT=`cat /var/run/partner`
		if [ "$IOXM_PRSNT" == "IOXM" ]; then
			echo "Programming IOXM Switch EEPROM"
			/usr/local/bin/update_mp_contents.sh $target
		else
			echo "IOXM is not present"
		fi
	fi
	# update cached value of switch versions
	/usr/local/bin/switch_config_version.sh 0 -f > /var/run/switch_version_controller
	/usr/local/bin/switch_config_version.sh 1 -f > /var/run/switch_version_ioxm
fi

if [ -f /var/run/Absolut ]; then
	if [ "$target" == "0" ]; then
		echo "Programming Controller Switch EEPROM"
		/usr/local/bin/switcheprm  "program_wr"
	fi
	if [ "$target" == "1" ]; then
		IOXM_PRSNT=`cat /var/run/partner`
		if [ "$IOXM_PRSNT" == "IOXM" ]; then
			echo "Programming IOXM Switch EEPROM"
			/usr/local/bin/switchioxm "program_wr"
		else
			echo "IOXM is not present"
		fi
	fi
	
	# update cached value of switch versions
	/usr/local/bin/switch_config_version.sh 0 -f > /var/run/switch_version_controller
	/usr/local/bin/switch_config_version.sh 1 -f > /var/run/switch_version_ioxm
fi

if [ -f /var/run/Vespa ]; then
	if [ "$target" == "0" ]; then
		echo "Programming Controller Switch EEPROM"
		/usr/local/bin/switcheprm  "program_wr"
	else
		echo "Request not applicable on this platform"
	fi
	# update cached value of switch versions
	/usr/local/bin/switch_config_version.sh 0 -f > /var/run/switch_version_controller
fi
if [ -f /var/run/Helix ] || [ -f /var/run/Zuma ] ; then

	if [ "$target" == "0" ]; then
	      echo "Programming Controller Switch EEPROM. Reset switch for changes to be effective."
    		if [ -f /firmware/ATT/switch/controller_switch_img.txt ]; then
        		switch ep_pgm < /firmware/ATT/switch/controller_switch_img.txt 
        		upg_ret_val=$?
   		 	# update cached value of switch versions
    			# For ATT, only one switch version is output, so parameter passed to 
    			#   switch_config_version.sh has no meaning, but it must be provided or
    			#   it will return an error.
    			/usr/local/bin/switch_config_version.sh 0 -f > /var/run/switch_version_controller
	
   		 else
       		 echo "/firmware/ATT/switch/controller_switch_img.txt cannot be found."
       		 upg_ret_val=1
   		 fi
    		return $upg_ret_val
	else
		echo "Request not applicable on this platform"
	fi
fi

