#!/bin/sh

. /usr/local/bin/sig_catcher

usage() {
	echo "Usage: sp switch-verify <0=mb, 1=ioxm>"
	exit 1
}


if [ $# -lt 1 ]; then
	usage
fi

target=$1

if [ $target != 0 ] && [ $target != 1 ]; then 
	usage
fi

if [ -f /var/run/Vespa ] ; then
	if [ "$target" == "0" ]; then
		/usr/local/bin/switcheprm verify 
	else
		echo "Request not applicable on this platform"
	fi
	exit 0
elif [ -f /var/run/Helix ] || [ -f /var/run/Zuma ] ; then
    if [ "$target" == "0" ]; then
    switch ep_verify < /firmware/ATT/switch/controller_switch_img.txt
    else
        echo "Request not applicable on this platform"
    fi
    exit 0
fi

echo "Request not applicable on this platform"
exit 0

